Skip to content

Update Bundle Option

PUT https://api.secure.quotivity.com/v1/bundles/{bundleId}/options/{optionId}

Updates a bundle option’s name, description, configuration, or display order.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes —
optionId string Yes —

Required, application/json: UpdateBundleOptionRequest

Status Body Description
200 BundleOption Bundle option updated successfully
400 — Bundle option does not belong to this bundle
401 — Unauthorized
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
name string Yes —
description string No —
priceBookId string Yes —
displayOrder number Yes —
configuration BundleOptionConfiguration Yes —
Field Type Required Description
minCount number No —
maxCount number No —
defaultOptionProductId string No —
Field Type Required Description
name string No —
description string No —
configuration BundleOptionConfiguration No —
displayOrder number No —